Skip to content
Get started

List

GET/teams/{teamId}/webhook-endpoints/{webhookEndpointId}/events

List the delivery events of one of the team’s webhook endpoints

Path ParametersExpand Collapse
teamId: string
webhookEndpointId: string
Query ParametersExpand Collapse
paginationToken: optional string

A token you received in a previous request to query the next page of items

ReturnsExpand Collapse
items: array of object { id, endpointId, status, 2 more }

A list of the team webhook events

id: string
endpointId: string
status: "created" or "failed" or "retrying" or "success"
One of the following:
"created"
"failed"
"retrying"
"success"
type: "*" or "asset.download.completed" or "asset.download.created" or 16 more

Every event a webhook endpoint can subscribe to: a project endpoint takes the job lifecycle events, a team endpoint takes the alert events.

One of the following:
"*"
"asset.download.completed"
"asset.download.created"
"asset.download.failed"
"generation.completed"
"generation.created"
"generation.failed"
"inference.cancelled"
"inference.completed"
"inference.created"
"inference.failed"
"model.download.completed"
"model.download.created"
"model.download.failed"
"model.training.cancelled"
"model.training.completed"
"model.training.failed"
"model.training.started"
"team.credit.threshold.crossed"
updatedAt: string
nextPaginationToken: optional string

A token to query the next page of events

List

curl https://api.cloud.scenario.com/v1/teams/$TEAM_ID/webhook-endpoints/$WEBHOOK_ENDPOINT_ID/events \
    -u "$SCENARIO_SDK_API_KEY:SCENARIO_SDK_API_SECRET"
{
  "items": [
    {
      "id": "id",
      "endpointId": "endpointId",
      "status": "created",
      "type": "*",
      "updatedAt": "updatedAt"
    }
  ],
  "nextPaginationToken": "nextPaginationToken"
}
Returns Examples
{
  "items": [
    {
      "id": "id",
      "endpointId": "endpointId",
      "status": "created",
      "type": "*",
      "updatedAt": "updatedAt"
    }
  ],
  "nextPaginationToken": "nextPaginationToken"
}